Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network77.2.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
77.2.64.0
Broadcast address
77.2.127.255
First usable
77.2.64.1
Last usable
77.2.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 4D024000 · Integer 1291993088 to 1292009471
Reverse DNS zones
64.2.77.in-addr.arpa
65.2.77.in-addr.arpa
66.2.77.in-addr.arpa
67.2.77.in-addr.arpa
68.2.77.in-addr.arpa
69.2.77.in-addr.arpa
70.2.77.in-addr.arpa
71.2.77.in-addr.arpa
72.2.77.in-addr.arpa
73.2.77.in-addr.arpa
74.2.77.in-addr.arpa
75.2.77.in-addr.arpa
76.2.77.in-addr.arpa
77.2.77.in-addr.arpa
78.2.77.in-addr.arpa
79.2.77.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001101.00000010.01000000.0000000077.2.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01001101.00000010.01000000.0000000077.2.64.0
Broadcast01001101.00000010.01111111.1111111177.2.127.255
Split into smaller subnets/30

77.2.64.0/18 makes 4,096 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
177.2.64.0/3077.2.64.1 to 77.2.64.277.2.64.32
277.2.64.4/3077.2.64.5 to 77.2.64.677.2.64.72
377.2.64.8/3077.2.64.9 to 77.2.64.1077.2.64.112
477.2.64.12/3077.2.64.13 to 77.2.64.1477.2.64.152
577.2.64.16/3077.2.64.17 to 77.2.64.1877.2.64.192
677.2.64.20/3077.2.64.21 to 77.2.64.2277.2.64.232
777.2.64.24/3077.2.64.25 to 77.2.64.2677.2.64.272
877.2.64.28/3077.2.64.29 to 77.2.64.3077.2.64.312
977.2.64.32/3077.2.64.33 to 77.2.64.3477.2.64.352
1077.2.64.36/3077.2.64.37 to 77.2.64.3877.2.64.392
1177.2.64.40/3077.2.64.41 to 77.2.64.4277.2.64.432
1277.2.64.44/3077.2.64.45 to 77.2.64.4677.2.64.472
1377.2.64.48/3077.2.64.49 to 77.2.64.5077.2.64.512
1477.2.64.52/3077.2.64.53 to 77.2.64.5477.2.64.552
1577.2.64.56/3077.2.64.57 to 77.2.64.5877.2.64.592
1677.2.64.60/3077.2.64.61 to 77.2.64.6277.2.64.632
1777.2.64.64/3077.2.64.65 to 77.2.64.6677.2.64.672
1877.2.64.68/3077.2.64.69 to 77.2.64.7077.2.64.712
1977.2.64.72/3077.2.64.73 to 77.2.64.7477.2.64.752
2077.2.64.76/3077.2.64.77 to 77.2.64.7877.2.64.792
2177.2.64.80/3077.2.64.81 to 77.2.64.8277.2.64.832
2277.2.64.84/3077.2.64.85 to 77.2.64.8677.2.64.872
2377.2.64.88/3077.2.64.89 to 77.2.64.9077.2.64.912
2477.2.64.92/3077.2.64.93 to 77.2.64.9477.2.64.952
2577.2.64.96/3077.2.64.97 to 77.2.64.9877.2.64.992
2677.2.64.100/3077.2.64.101 to 77.2.64.10277.2.64.1032
2777.2.64.104/3077.2.64.105 to 77.2.64.10677.2.64.1072
2877.2.64.108/3077.2.64.109 to 77.2.64.11077.2.64.1112
2977.2.64.112/3077.2.64.113 to 77.2.64.11477.2.64.1152
3077.2.64.116/3077.2.64.117 to 77.2.64.11877.2.64.1192
3177.2.64.120/3077.2.64.121 to 77.2.64.12277.2.64.1232
3277.2.64.124/3077.2.64.125 to 77.2.64.12677.2.64.1272
3377.2.64.128/3077.2.64.129 to 77.2.64.13077.2.64.1312
3477.2.64.132/3077.2.64.133 to 77.2.64.13477.2.64.1352
3577.2.64.136/3077.2.64.137 to 77.2.64.13877.2.64.1392
3677.2.64.140/3077.2.64.141 to 77.2.64.14277.2.64.1432
3777.2.64.144/3077.2.64.145 to 77.2.64.14677.2.64.1472
3877.2.64.148/3077.2.64.149 to 77.2.64.15077.2.64.1512
3977.2.64.152/3077.2.64.153 to 77.2.64.15477.2.64.1552
4077.2.64.156/3077.2.64.157 to 77.2.64.15877.2.64.1592
4177.2.64.160/3077.2.64.161 to 77.2.64.16277.2.64.1632
4277.2.64.164/3077.2.64.165 to 77.2.64.16677.2.64.1672
4377.2.64.168/3077.2.64.169 to 77.2.64.17077.2.64.1712
4477.2.64.172/3077.2.64.173 to 77.2.64.17477.2.64.1752
4577.2.64.176/3077.2.64.177 to 77.2.64.17877.2.64.1792
4677.2.64.180/3077.2.64.181 to 77.2.64.18277.2.64.1832
4777.2.64.184/3077.2.64.185 to 77.2.64.18677.2.64.1872
4877.2.64.188/3077.2.64.189 to 77.2.64.19077.2.64.1912
4977.2.64.192/3077.2.64.193 to 77.2.64.19477.2.64.1952
5077.2.64.196/3077.2.64.197 to 77.2.64.19877.2.64.1992
5177.2.64.200/3077.2.64.201 to 77.2.64.20277.2.64.2032
5277.2.64.204/3077.2.64.205 to 77.2.64.20677.2.64.2072
5377.2.64.208/3077.2.64.209 to 77.2.64.21077.2.64.2112
5477.2.64.212/3077.2.64.213 to 77.2.64.21477.2.64.2152
5577.2.64.216/3077.2.64.217 to 77.2.64.21877.2.64.2192
5677.2.64.220/3077.2.64.221 to 77.2.64.22277.2.64.2232
5777.2.64.224/3077.2.64.225 to 77.2.64.22677.2.64.2272
5877.2.64.228/3077.2.64.229 to 77.2.64.23077.2.64.2312
5977.2.64.232/3077.2.64.233 to 77.2.64.23477.2.64.2352
6077.2.64.236/3077.2.64.237 to 77.2.64.23877.2.64.2392
6177.2.64.240/3077.2.64.241 to 77.2.64.24277.2.64.2432
6277.2.64.244/3077.2.64.245 to 77.2.64.24677.2.64.2472
6377.2.64.248/3077.2.64.249 to 77.2.64.25077.2.64.2512
6477.2.64.252/3077.2.64.253 to 77.2.64.25477.2.64.2552
6577.2.65.0/3077.2.65.1 to 77.2.65.277.2.65.32
6677.2.65.4/3077.2.65.5 to 77.2.65.677.2.65.72
6777.2.65.8/3077.2.65.9 to 77.2.65.1077.2.65.112
6877.2.65.12/3077.2.65.13 to 77.2.65.1477.2.65.152
6977.2.65.16/3077.2.65.17 to 77.2.65.1877.2.65.192
7077.2.65.20/3077.2.65.21 to 77.2.65.2277.2.65.232
7177.2.65.24/3077.2.65.25 to 77.2.65.2677.2.65.272
7277.2.65.28/3077.2.65.29 to 77.2.65.3077.2.65.312
7377.2.65.32/3077.2.65.33 to 77.2.65.3477.2.65.352
7477.2.65.36/3077.2.65.37 to 77.2.65.3877.2.65.392
7577.2.65.40/3077.2.65.41 to 77.2.65.4277.2.65.432
7677.2.65.44/3077.2.65.45 to 77.2.65.4677.2.65.472
7777.2.65.48/3077.2.65.49 to 77.2.65.5077.2.65.512
7877.2.65.52/3077.2.65.53 to 77.2.65.5477.2.65.552
7977.2.65.56/3077.2.65.57 to 77.2.65.5877.2.65.592
8077.2.65.60/3077.2.65.61 to 77.2.65.6277.2.65.632
8177.2.65.64/3077.2.65.65 to 77.2.65.6677.2.65.672
8277.2.65.68/3077.2.65.69 to 77.2.65.7077.2.65.712
8377.2.65.72/3077.2.65.73 to 77.2.65.7477.2.65.752
8477.2.65.76/3077.2.65.77 to 77.2.65.7877.2.65.792
8577.2.65.80/3077.2.65.81 to 77.2.65.8277.2.65.832
8677.2.65.84/3077.2.65.85 to 77.2.65.8677.2.65.872
8777.2.65.88/3077.2.65.89 to 77.2.65.9077.2.65.912
8877.2.65.92/3077.2.65.93 to 77.2.65.9477.2.65.952
8977.2.65.96/3077.2.65.97 to 77.2.65.9877.2.65.992
9077.2.65.100/3077.2.65.101 to 77.2.65.10277.2.65.1032
9177.2.65.104/3077.2.65.105 to 77.2.65.10677.2.65.1072
9277.2.65.108/3077.2.65.109 to 77.2.65.11077.2.65.1112
9377.2.65.112/3077.2.65.113 to 77.2.65.11477.2.65.1152
9477.2.65.116/3077.2.65.117 to 77.2.65.11877.2.65.1192
9577.2.65.120/3077.2.65.121 to 77.2.65.12277.2.65.1232
9677.2.65.124/3077.2.65.125 to 77.2.65.12677.2.65.1272
9777.2.65.128/3077.2.65.129 to 77.2.65.13077.2.65.1312
9877.2.65.132/3077.2.65.133 to 77.2.65.13477.2.65.1352
9977.2.65.136/3077.2.65.137 to 77.2.65.13877.2.65.1392
10077.2.65.140/3077.2.65.141 to 77.2.65.14277.2.65.1432
10177.2.65.144/3077.2.65.145 to 77.2.65.14677.2.65.1472
10277.2.65.148/3077.2.65.149 to 77.2.65.15077.2.65.1512
10377.2.65.152/3077.2.65.153 to 77.2.65.15477.2.65.1552
10477.2.65.156/3077.2.65.157 to 77.2.65.15877.2.65.1592
10577.2.65.160/3077.2.65.161 to 77.2.65.16277.2.65.1632
10677.2.65.164/3077.2.65.165 to 77.2.65.16677.2.65.1672
10777.2.65.168/3077.2.65.169 to 77.2.65.17077.2.65.1712
10877.2.65.172/3077.2.65.173 to 77.2.65.17477.2.65.1752
10977.2.65.176/3077.2.65.177 to 77.2.65.17877.2.65.1792
11077.2.65.180/3077.2.65.181 to 77.2.65.18277.2.65.1832
11177.2.65.184/3077.2.65.185 to 77.2.65.18677.2.65.1872
11277.2.65.188/3077.2.65.189 to 77.2.65.19077.2.65.1912
11377.2.65.192/3077.2.65.193 to 77.2.65.19477.2.65.1952
11477.2.65.196/3077.2.65.197 to 77.2.65.19877.2.65.1992
11577.2.65.200/3077.2.65.201 to 77.2.65.20277.2.65.2032
11677.2.65.204/3077.2.65.205 to 77.2.65.20677.2.65.2072
11777.2.65.208/3077.2.65.209 to 77.2.65.21077.2.65.2112
11877.2.65.212/3077.2.65.213 to 77.2.65.21477.2.65.2152
11977.2.65.216/3077.2.65.217 to 77.2.65.21877.2.65.2192
12077.2.65.220/3077.2.65.221 to 77.2.65.22277.2.65.2232
12177.2.65.224/3077.2.65.225 to 77.2.65.22677.2.65.2272
12277.2.65.228/3077.2.65.229 to 77.2.65.23077.2.65.2312
12377.2.65.232/3077.2.65.233 to 77.2.65.23477.2.65.2352
12477.2.65.236/3077.2.65.237 to 77.2.65.23877.2.65.2392
12577.2.65.240/3077.2.65.241 to 77.2.65.24277.2.65.2432
12677.2.65.244/3077.2.65.245 to 77.2.65.24677.2.65.2472
12777.2.65.248/3077.2.65.249 to 77.2.65.25077.2.65.2512
12877.2.65.252/3077.2.65.253 to 77.2.65.25477.2.65.2552
12977.2.66.0/3077.2.66.1 to 77.2.66.277.2.66.32
13077.2.66.4/3077.2.66.5 to 77.2.66.677.2.66.72
13177.2.66.8/3077.2.66.9 to 77.2.66.1077.2.66.112
13277.2.66.12/3077.2.66.13 to 77.2.66.1477.2.66.152
13377.2.66.16/3077.2.66.17 to 77.2.66.1877.2.66.192
13477.2.66.20/3077.2.66.21 to 77.2.66.2277.2.66.232
13577.2.66.24/3077.2.66.25 to 77.2.66.2677.2.66.272
13677.2.66.28/3077.2.66.29 to 77.2.66.3077.2.66.312
13777.2.66.32/3077.2.66.33 to 77.2.66.3477.2.66.352
13877.2.66.36/3077.2.66.37 to 77.2.66.3877.2.66.392
13977.2.66.40/3077.2.66.41 to 77.2.66.4277.2.66.432
14077.2.66.44/3077.2.66.45 to 77.2.66.4677.2.66.472
14177.2.66.48/3077.2.66.49 to 77.2.66.5077.2.66.512
14277.2.66.52/3077.2.66.53 to 77.2.66.5477.2.66.552
14377.2.66.56/3077.2.66.57 to 77.2.66.5877.2.66.592
14477.2.66.60/3077.2.66.61 to 77.2.66.6277.2.66.632
14577.2.66.64/3077.2.66.65 to 77.2.66.6677.2.66.672
14677.2.66.68/3077.2.66.69 to 77.2.66.7077.2.66.712
14777.2.66.72/3077.2.66.73 to 77.2.66.7477.2.66.752
14877.2.66.76/3077.2.66.77 to 77.2.66.7877.2.66.792
14977.2.66.80/3077.2.66.81 to 77.2.66.8277.2.66.832
15077.2.66.84/3077.2.66.85 to 77.2.66.8677.2.66.872
15177.2.66.88/3077.2.66.89 to 77.2.66.9077.2.66.912
15277.2.66.92/3077.2.66.93 to 77.2.66.9477.2.66.952
15377.2.66.96/3077.2.66.97 to 77.2.66.9877.2.66.992
15477.2.66.100/3077.2.66.101 to 77.2.66.10277.2.66.1032
15577.2.66.104/3077.2.66.105 to 77.2.66.10677.2.66.1072
15677.2.66.108/3077.2.66.109 to 77.2.66.11077.2.66.1112
15777.2.66.112/3077.2.66.113 to 77.2.66.11477.2.66.1152
15877.2.66.116/3077.2.66.117 to 77.2.66.11877.2.66.1192
15977.2.66.120/3077.2.66.121 to 77.2.66.12277.2.66.1232
16077.2.66.124/3077.2.66.125 to 77.2.66.12677.2.66.1272
16177.2.66.128/3077.2.66.129 to 77.2.66.13077.2.66.1312
16277.2.66.132/3077.2.66.133 to 77.2.66.13477.2.66.1352
16377.2.66.136/3077.2.66.137 to 77.2.66.13877.2.66.1392
16477.2.66.140/3077.2.66.141 to 77.2.66.14277.2.66.1432
16577.2.66.144/3077.2.66.145 to 77.2.66.14677.2.66.1472
16677.2.66.148/3077.2.66.149 to 77.2.66.15077.2.66.1512
16777.2.66.152/3077.2.66.153 to 77.2.66.15477.2.66.1552
16877.2.66.156/3077.2.66.157 to 77.2.66.15877.2.66.1592
16977.2.66.160/3077.2.66.161 to 77.2.66.16277.2.66.1632
17077.2.66.164/3077.2.66.165 to 77.2.66.16677.2.66.1672
17177.2.66.168/3077.2.66.169 to 77.2.66.17077.2.66.1712
17277.2.66.172/3077.2.66.173 to 77.2.66.17477.2.66.1752
17377.2.66.176/3077.2.66.177 to 77.2.66.17877.2.66.1792
17477.2.66.180/3077.2.66.181 to 77.2.66.18277.2.66.1832
17577.2.66.184/3077.2.66.185 to 77.2.66.18677.2.66.1872
17677.2.66.188/3077.2.66.189 to 77.2.66.19077.2.66.1912
17777.2.66.192/3077.2.66.193 to 77.2.66.19477.2.66.1952
17877.2.66.196/3077.2.66.197 to 77.2.66.19877.2.66.1992
17977.2.66.200/3077.2.66.201 to 77.2.66.20277.2.66.2032
18077.2.66.204/3077.2.66.205 to 77.2.66.20677.2.66.2072
18177.2.66.208/3077.2.66.209 to 77.2.66.21077.2.66.2112
18277.2.66.212/3077.2.66.213 to 77.2.66.21477.2.66.2152
18377.2.66.216/3077.2.66.217 to 77.2.66.21877.2.66.2192
18477.2.66.220/3077.2.66.221 to 77.2.66.22277.2.66.2232
18577.2.66.224/3077.2.66.225 to 77.2.66.22677.2.66.2272
18677.2.66.228/3077.2.66.229 to 77.2.66.23077.2.66.2312
18777.2.66.232/3077.2.66.233 to 77.2.66.23477.2.66.2352
18877.2.66.236/3077.2.66.237 to 77.2.66.23877.2.66.2392
18977.2.66.240/3077.2.66.241 to 77.2.66.24277.2.66.2432
19077.2.66.244/3077.2.66.245 to 77.2.66.24677.2.66.2472
19177.2.66.248/3077.2.66.249 to 77.2.66.25077.2.66.2512
19277.2.66.252/3077.2.66.253 to 77.2.66.25477.2.66.2552
19377.2.67.0/3077.2.67.1 to 77.2.67.277.2.67.32
19477.2.67.4/3077.2.67.5 to 77.2.67.677.2.67.72
19577.2.67.8/3077.2.67.9 to 77.2.67.1077.2.67.112
19677.2.67.12/3077.2.67.13 to 77.2.67.1477.2.67.152
19777.2.67.16/3077.2.67.17 to 77.2.67.1877.2.67.192
19877.2.67.20/3077.2.67.21 to 77.2.67.2277.2.67.232
19977.2.67.24/3077.2.67.25 to 77.2.67.2677.2.67.272
20077.2.67.28/3077.2.67.29 to 77.2.67.3077.2.67.312
20177.2.67.32/3077.2.67.33 to 77.2.67.3477.2.67.352
20277.2.67.36/3077.2.67.37 to 77.2.67.3877.2.67.392
20377.2.67.40/3077.2.67.41 to 77.2.67.4277.2.67.432
20477.2.67.44/3077.2.67.45 to 77.2.67.4677.2.67.472
20577.2.67.48/3077.2.67.49 to 77.2.67.5077.2.67.512
20677.2.67.52/3077.2.67.53 to 77.2.67.5477.2.67.552
20777.2.67.56/3077.2.67.57 to 77.2.67.5877.2.67.592
20877.2.67.60/3077.2.67.61 to 77.2.67.6277.2.67.632
20977.2.67.64/3077.2.67.65 to 77.2.67.6677.2.67.672
21077.2.67.68/3077.2.67.69 to 77.2.67.7077.2.67.712
21177.2.67.72/3077.2.67.73 to 77.2.67.7477.2.67.752
21277.2.67.76/3077.2.67.77 to 77.2.67.7877.2.67.792
21377.2.67.80/3077.2.67.81 to 77.2.67.8277.2.67.832
21477.2.67.84/3077.2.67.85 to 77.2.67.8677.2.67.872
21577.2.67.88/3077.2.67.89 to 77.2.67.9077.2.67.912
21677.2.67.92/3077.2.67.93 to 77.2.67.9477.2.67.952
21777.2.67.96/3077.2.67.97 to 77.2.67.9877.2.67.992
21877.2.67.100/3077.2.67.101 to 77.2.67.10277.2.67.1032
21977.2.67.104/3077.2.67.105 to 77.2.67.10677.2.67.1072
22077.2.67.108/3077.2.67.109 to 77.2.67.11077.2.67.1112
22177.2.67.112/3077.2.67.113 to 77.2.67.11477.2.67.1152
22277.2.67.116/3077.2.67.117 to 77.2.67.11877.2.67.1192
22377.2.67.120/3077.2.67.121 to 77.2.67.12277.2.67.1232
22477.2.67.124/3077.2.67.125 to 77.2.67.12677.2.67.1272
22577.2.67.128/3077.2.67.129 to 77.2.67.13077.2.67.1312
22677.2.67.132/3077.2.67.133 to 77.2.67.13477.2.67.1352
22777.2.67.136/3077.2.67.137 to 77.2.67.13877.2.67.1392
22877.2.67.140/3077.2.67.141 to 77.2.67.14277.2.67.1432
22977.2.67.144/3077.2.67.145 to 77.2.67.14677.2.67.1472
23077.2.67.148/3077.2.67.149 to 77.2.67.15077.2.67.1512
23177.2.67.152/3077.2.67.153 to 77.2.67.15477.2.67.1552
23277.2.67.156/3077.2.67.157 to 77.2.67.15877.2.67.1592
23377.2.67.160/3077.2.67.161 to 77.2.67.16277.2.67.1632
23477.2.67.164/3077.2.67.165 to 77.2.67.16677.2.67.1672
23577.2.67.168/3077.2.67.169 to 77.2.67.17077.2.67.1712
23677.2.67.172/3077.2.67.173 to 77.2.67.17477.2.67.1752
23777.2.67.176/3077.2.67.177 to 77.2.67.17877.2.67.1792
23877.2.67.180/3077.2.67.181 to 77.2.67.18277.2.67.1832
23977.2.67.184/3077.2.67.185 to 77.2.67.18677.2.67.1872
24077.2.67.188/3077.2.67.189 to 77.2.67.19077.2.67.1912
24177.2.67.192/3077.2.67.193 to 77.2.67.19477.2.67.1952
24277.2.67.196/3077.2.67.197 to 77.2.67.19877.2.67.1992
24377.2.67.200/3077.2.67.201 to 77.2.67.20277.2.67.2032
24477.2.67.204/3077.2.67.205 to 77.2.67.20677.2.67.2072
24577.2.67.208/3077.2.67.209 to 77.2.67.21077.2.67.2112
24677.2.67.212/3077.2.67.213 to 77.2.67.21477.2.67.2152
24777.2.67.216/3077.2.67.217 to 77.2.67.21877.2.67.2192
24877.2.67.220/3077.2.67.221 to 77.2.67.22277.2.67.2232
24977.2.67.224/3077.2.67.225 to 77.2.67.22677.2.67.2272
25077.2.67.228/3077.2.67.229 to 77.2.67.23077.2.67.2312
25177.2.67.232/3077.2.67.233 to 77.2.67.23477.2.67.2352
25277.2.67.236/3077.2.67.237 to 77.2.67.23877.2.67.2392
25377.2.67.240/3077.2.67.241 to 77.2.67.24277.2.67.2432
25477.2.67.244/3077.2.67.245 to 77.2.67.24677.2.67.2472
25577.2.67.248/3077.2.67.249 to 77.2.67.25077.2.67.2512
25677.2.67.252/3077.2.67.253 to 77.2.67.25477.2.67.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses